

class Bresenham
{
public:
    void Init(void);
    void SetupMove( int DT, int D1, int D2, int D3 );
    void Tick(void);

    inline bool Done(void) {return i == 0;}

private:
    static const int s0 = 1<<0;
    static const int d0 = 1<<1;
    static const int s1 = 1<<2;
    static const int d1 = 1<<3;
    static const int s2 = 1<<4;
    static const int d2 = 1<<5;

    int dt, i;
    int da, db, dc;
    int era, erb, erc;
};
